Date   
Updates to Github #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #626 Add Kabyle language
By mozillakab:

I already have Ubuntu on an other workstation. I'll try to follow the guide to build the kab TTS. I'm also trying to work on a model using Mozilla's TTS project. Thanks for help.


[espeak-ng:master] Issue #626 Add Kabyle language closed by mozillakab.

Pull Request Opened #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

Pull Request Updated #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

Pull Request Updated #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

Pull Request Closed #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

Pull Request Opened #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng/espeak-ng] Pull request opened by shadyar:

#628 A few bugs have been fixed about Persian standard keyboard.

[espeak-ng:master] new issue: new voices for sapi5 ESpeak #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Issue Created by joshknnd1982:
#629 new voices for sapi5 ESpeak

Could you please make a custom version of the sapi5 version of ESpeak which will load and use the decTalk and softVoice (dll files) abandonware voices? Attached is a zip file with the needed dll files and some python code. If these could be added on as additional sapi5 ESpeak voices please? thanks. espeakNewVoices.zip

[espeak-ng:master] new issue: request for updating espeak for android: #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Issue Created by zahra21:
#630 request for updating espeak for android:

hello. recently, i bought an android phone. i realized that espeak is not updated for android since four years ago. android is rapidly growing, and current versions of espeak are not compatible with newer versions of android, talkback or other softwares. some people mention that they recieve espeak is not responding, and some others cant find compatible version of espeak for there new versions of android or there new mobiles. i wish that we see a responsive, functional, efficient, and suitable version of espeak for android very soon. God bless you and his infinite mercy i pray for you because of your great works.

Pull Request Opened #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng/espeak-ng] Pull request opened by dmgolubovsky:

#631 Fix path for hy-arevmda in windows installer

Fix path for hy-arevmda (replace hy-arevmda with hyw, now windows installer works again).

Per changelog:

1.49.3 - (In Development) Add a --disable-rpath option to prevent libtool hardcoding rpaths in the executable. Renamed the hy-arevmda language to hyw, following the 2018-03-30 change to the BCP 47 language subtag registry making the newly registered hyw language code the preferred value for hy-arevmda. This change keeps support for detecting the hy-arevela and hy-arevmda language tags.

This was not reflected in the windows installer project (Product.wxs) and broke windows build. This pull request fixes that, I was able to compile and install espeak-ng in windows 10 with visual studio 2019 community edition.

Updates to Github #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

1 New Commit:

[espeak-ng:master] By unknown <golubovsky@...>:
da09648b4588: Fix path for hy-arevmda (replace hy-arevmda with hyw, now windows installer works again).

Modified: src/windows/installer/Product.wxs


[espeak-ng/espeak-ng] Pull request closed by valdisvi:

#631 Fix path for hy-arevmda in windows installer

Fix path for hy-arevmda (replace hy-arevmda with hyw, now windows installer works again).

Per changelog:

1.49.3 - (In Development) Add a --disable-rpath option to prevent libtool hardcoding rpaths in the executable. Renamed the hy-arevmda language to hyw, following the 2018-03-30 change to the BCP 47 language subtag registry making the newly registered hyw language code the preferred value for hy-arevmda. This change keeps support for detecting the hy-arevela and hy-arevmda language tags.

This was not reflected in the windows installer project (Product.wxs) and broke windows build. This pull request fixes that, I was able to compile and install espeak-ng in windows 10 with visual studio 2019 community edition.

Updates to Github #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #630 request for updating espeak for android:
By mhmad6236:

hi friends. I want to say for upgrate for espeak for android. the last version for android is not good for android 7 and above. the last version can't read some karacter and can't read steekers and immogies please upgrade the E-Speak for android thanks


[espeak-ng:master] New Comment on Issue #630 request for updating espeak for android:
By mhmad6236:

hi there please upgrade the E-Speak for android. the current version has some errors and can't read some elements like steekers thanks

[espeak-ng:master] reported: request for updating espeak for android: #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #630 request for updating espeak for android:
By gholamim6:

hello dear Espeak Developers. i'm eagerly waiting for updating this functional app. also please restart the project of developing the Android built of ESpeak. the Espeak TTS by Redzoc has some benefits but also has multiple issues like crashing, suddenly changing reading language and slow updating of dictionary. thanks before. Mohsen Gholami.

[espeak-ng:master] reported: request for updating espeak for android: #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #630 request for updating espeak for android:
By mahmoodhojabri:

Hello, please update espeak of android.

Updates to Github #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #320 Mac OS X install
By twerkmeister:

good stuff @cainesap! this helped a lot, I just need to adjust the datarootdir to /usr/local aswell

./configure --exec-prefix=/usr/local/ --datarootdir=/usr/local --sysconfdir=/usr/local --sharedstatedir=/usr/local --localstatedir=/usr/local --includedir=/usr/local --with-extdict-ru --with-extdict-zh --with-extdict-zhy
sudo make LIBDIR=/usr/local/lib install


[espeak-ng:master] New Comment on Issue #320 Mac OS X install
By twerkmeister:

good stuff @cainesap! this helped a lot, I just need to adjust the datarootdir to /usr/local aswell

./configure --exec-prefix=/usr/local/ --datarootdir=/usr/local --sysconfdir=/usr/local --sharedstatedir=/usr/local --localstatedir=/usr/local --includedir=/usr/local --with-extdict-ru --with-extdict-zh --with-extdict-zhy

make 

sudo make LIBDIR=/usr/local/lib install

[espeak-ng:master] new issue: update request #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Issue Created by behroozafrooz:
#632 update request

Due to the fact that the latest version of this software has been released for a long time, it's evident that its updating is necessary.

[espeak-ng:master] reported: update request #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #632 update request
By gholamim6:

hello dear developers. i'm impatiently wating for the new update of ESpeak For Windows and Android. as i said in Issue 630. https://github.com/espeak-ng/espeak-ng/issues/630 thanks before.

[espeak-ng:master] new issue: espeak-ng sapi5 #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Issue Created by joshknnd1982:
#633 espeak-ng sapi5

ESpeak-ng currently does not work with narrator, but codeFactory ETI eloquence and vocalizer works with narrator as well as with sapi5. Please make a sapi5 version of ESpeak-ng with an easy-install process that also works with windows10 narrator.

[espeak-ng:master] reported: Support more dialects of English #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #190 Support more dialects of English
By nmstoker:

It has been quite a while since this was raised - has there been any further thought or development relating to this?

I think it would be really useful to tackle supporting a wider range of dialects.

Recently I was looking through the en-GB-x-rp output and noticed a few inconsistencies that I don't consider to be a traditional RP way of saying words (eg the g for exit rather than an x) and I'd be happy to start contributing proposed changes but I didn't want to do that a) if it was going to break things for more general users and b) if the way things are stored is likely to change, as it would be better to make the contributions after any new approach is agreed.

[espeak-ng:master] new issue: last audio chunk is cut off when testing in control panel & chrome (speechsynthesis) says "slash" in respective voice at the end of every input #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Issue Created by DanMacArthur:
#634 last audio chunk is cut off when testing in control panel & chrome (speechsynthesis) says "slash" in respective voice at the end of every input

I built an installer that installs all the voices not just the English one that you can find here https://github.com/ClaroSoftware/eSpeak-Sapi-5-Installer and they all have the same problem described above

[espeak-ng:master] new issue: Cannot work with MBROLA #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Issue Created by CHN-beta:
#635 Cannot work with MBROLA

I cloned the repos of espeak-ng and MBROLA and built the last version.

What I found is that espeak-ng and MBROLA all works well separately, but cannot work together.

Below command works well:

espeak-ng -v en "Hello World!"
mbrola -i ~/Desktop/en1/en1 ~/Desktop/en1/TEST/euler.pho  ~/Desktop/0.wav
# here 0.wav sounds OK

But, when I tap:

espeak-ng -v mb-en1 "Hello"

It tells me:

mbrola: Fatal error in line:
mbrola: 
mbrowrap error: mbrola closed stderr and did not exit
mbrowrap error: mbrola exited with status 253

And only sounds something like "He", no "llo".

When I tap:

espeak-ng -v mb-en1 --pho "Hello"

It prints:

h	70
@	24	 0 94 20 95 40 96 59 97 80 99 100 99
l	65
@U	175	 0 102 80 76 100 76
_	301
_	1

I use Deepin 15.11(Linux x64, like Debian 9).